| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::ColorSource Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::ColorSource:

## Public Member Functions
| ColorSource (ImpellerColorSource source, AdoptTag tag)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerColorSource, ImpellerColorSourceTraits >
| Object ()=default
| Object (ImpellerColorSource object)
| Object (ImpellerColorSource object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerColorSource | Get () const
| operator bool () const

## Static Public Member Functions
static ColorSource | ConicalGradient (const ImpellerPoint &start_center, float start_radius, const ImpellerPoint &end_center, float end_radius, uint32_t stop_count, const ImpellerColor *colors, const float *stops, ImpellerTileMode tile_mode, const ImpellerMatrix *transformation=nullptr)
static ColorSource | Image (const Texture &image, ImpellerTileMode horizontal_tile_mode, ImpellerTileMode vertical_tile_mode, ImpellerTextureSampling sampling, const ImpellerMatrix *transformation=nullptr)
static ColorSource | LinearGradient (const ImpellerPoint &start_point, const ImpellerPoint &end_point, uint32_t stop_count, const ImpellerColor *colors, const float *stops, ImpellerTileMode tile_mode, const ImpellerMatrix *transformation=nullptr)
static ColorSource | RadialGradient (const ImpellerPoint &center, float radius, uint32_t stop_count, const ImpellerColor *colors, const float *stops, ImpellerTileMode tile_mode, const ImpellerMatrix *transformation=nullptr)
static ColorSource | SweepGradient (const ImpellerPoint &center, float start, float end, uint32_t stop_count, const ImpellerColor *colors, const float *stops, ImpellerTileMode tile_mode, const ImpellerMatrix *transformation=nullptr)
static ColorSource | FragmentProgram (const Context &context, const FragmentProgram &program, const std::vector< ImpellerTexture > &samplers, const Mapping *uniform_data)

## Detailed Description

See also
  ImpellerColorSource

Definition at line 504 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ ColorSource()

IMPELLER_HPP_NAMESPACE::ColorSource::ColorSource | ( | ImpellerColorSource | source,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 507 of file impeller.hpp.

507 : Object(source, tag) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerColorSource, ImpellerColorSourceTraits >::Object
Object()=default

Referenced by ConicalGradient(), FragmentProgram(), Image(), LinearGradient(), RadialGradient(), and SweepGradient().

## Member Function Documentation

## ◆ ConicalGradient()

static ColorSource IMPELLER_HPP_NAMESPACE::ColorSource::ConicalGradient | ( | const ImpellerPoint & | start_center,
|  | float | start_radius,
|  | const ImpellerPoint & | end_center,
|  | float | end_radius,
|  | uint32_t | stop_count,
|  | const ImpellerColor * | colors,
|  | const float * | stops,
|  | ImpellerTileMode | tile_mode,
|  | const ImpellerMatrix * | transformation = `nullptr`
| ) |  |
| inlinestatic

See also
  ImpellerColorSourceCreateConicalGradientNew

Definition at line 512 of file impeller.hpp.

521 {
522 return ColorSource(
523 gGlobalProcTable.ImpellerColorSourceCreateConicalGradientNew(
524 &start_center, //
525 start_radius, //
526 &end_center, //
527 end_radius, //
528 stop_count, //
529 colors, //
530 stops, //
531 tile_mode, //
532 transformation //
533 ),
534 AdoptTag::kAdopt);
535 }
IMPELLER_HPP_NAMESPACE::ColorSource::ColorSource
ColorSource(ImpellerColorSource source, AdoptTag tag)
Definition: impeller.hpp:507
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References ColorSource(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ FragmentProgram()

static ColorSource IMPELLER_HPP_NAMESPACE::ColorSource::FragmentProgram | ( | const Context & | context,
|  | const FragmentProgram & | program,
|  | const std::vector< ImpellerTexture > & | samplers,
|  | const Mapping * | uniform_data
| ) |  |
| inlinestatic

See also
  ImpellerColorSourceCreateFragmentProgramNew

Definition at line 632 of file impeller.hpp.

636 {
637 return ColorSource(
638 gGlobalProcTable.ImpellerColorSourceCreateFragmentProgramNew(
639 context.Get(), //
640 program.Get(), //
641 const_cast<ImpellerTexture*>(samplers.data()), //
642 samplers.size(), //
643 uniform_data != nullptr ? uniform_data->GetMapping() : nullptr, //
644 uniform_data != nullptr ? uniform_data->GetSize() : 0u //
645 ),
646 AdoptTag::kAdopt);
647 }

References ColorSource(), IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Mapping::GetMapping(), IMPELLER_HPP_NAMESPACE::Mapping::GetSize(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Image()

static ColorSource IMPELLER_HPP_NAMESPACE::ColorSource::Image | ( | const Texture & | image,
|  | ImpellerTileMode | horizontal_tile_mode,
|  | ImpellerTileMode | vertical_tile_mode,
|  | ImpellerTextureSampling | sampling,
|  | const ImpellerMatrix * | transformation = `nullptr`
| ) |  |
| inlinestatic

See also
  ImpellerColorSourceCreateImageNew

Definition at line 540 of file impeller.hpp.

544 {
545 return ColorSource(gGlobalProcTable.ImpellerColorSourceCreateImageNew(
546 image.Get(), //
547 horizontal_tile_mode, //
548 vertical_tile_mode, //
549 sampling, //
550 transformation //
551 ),
552 AdoptTag::kAdopt);
553 }

References ColorSource(), IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ LinearGradient()

static ColorSource IMPELLER_HPP_NAMESPACE::ColorSource::LinearGradient | ( | const ImpellerPoint & | start_point,
|  | const ImpellerPoint & | end_point,
|  | uint32_t | stop_count,
|  | const ImpellerColor * | colors,
|  | const float * | stops,
|  | ImpellerTileMode | tile_mode,
|  | const ImpellerMatrix * | transformation = `nullptr`
| ) |  |
| inlinestatic

See also
  ImpellerColorSourceCreateLinearGradientNew

Definition at line 558 of file impeller.hpp.

565 {
566 return ColorSource(
567 gGlobalProcTable.ImpellerColorSourceCreateLinearGradientNew(
568 &start_point,
569 &end_point, //
570 stop_count, //
571 colors, //
572 stops, //
573 tile_mode, //
574 transformation //
575 ),
576 AdoptTag::kAdopt);
577 }

References ColorSource(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ RadialGradient()

static ColorSource IMPELLER_HPP_NAMESPACE::ColorSource::RadialGradient | ( | const ImpellerPoint & | center,
|  | float | radius,
|  | uint32_t | stop_count,
|  | const ImpellerColor * | colors,
|  | const float * | stops,
|  | ImpellerTileMode | tile_mode,
|  | const ImpellerMatrix * | transformation = `nullptr`
| ) |  |
| inlinestatic

See also
  ImpellerColorSourceCreateRadialGradientNew

Definition at line 582 of file impeller.hpp.

589 {
590 return ColorSource(
591 gGlobalProcTable.ImpellerColorSourceCreateRadialGradientNew(
592 &center, //
593 radius, //
594 stop_count, //
595 colors, //
596 stops, //
597 tile_mode, //
598 transformation //
599 ),
600 AdoptTag::kAdopt);
601 }

References ColorSource(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ SweepGradient()

static ColorSource IMPELLER_HPP_NAMESPACE::ColorSource::SweepGradient | ( | const ImpellerPoint & | center,
|  | float | start,
|  | float | end,
|  | uint32_t | stop_count,
|  | const ImpellerColor * | colors,
|  | const float * | stops,
|  | ImpellerTileMode | tile_mode,
|  | const ImpellerMatrix * | transformation = `nullptr`
| ) |  |
| inlinestatic

See also
  ImpellerColorSourceCreateSweepGradientNew

Definition at line 606 of file impeller.hpp.

614 {
615 return ColorSource(
616 gGlobalProcTable.ImpellerColorSourceCreateSweepGradientNew(
617 &center, //
618 start, //
619 end, //
620 stop_count, //
621 colors, //
622 stops, //
623 tile_mode, //
624 transformation //
625 ),
626 AdoptTag::kAdopt);
627 }
start
const size_t start
Definition: tessellator_libtess.cc:62
end
const size_t end
Definition: tessellator_libtess.cc:63

References ColorSource(), end, IMPELLER_HPP_NAMESPACE::gGlobalProcTable, IMPELLER_HPP_NAMESPACE::kAdopt, and start.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp